# _ExpectContentLength
<span class="source-link">[[Source]](src/net-http/_http_parser.md#L11)</span>
```pony
primitive val _ExpectContentLength
```

## Constructors

### create
<span class="source-link">[[Source]](src/net-http/_http_parser.md#L11)</span>


```pony
new val create()
: _ExpectContentLength val^
```

#### Returns

* [_ExpectContentLength](net-http-_ExpectContentLength) val^

---

## Public Functions

### eq
<span class="source-link">[[Source]](src/net-http/_http_parser.md#L12)</span>


```pony
fun box eq(
  that: _ExpectContentLength val)
: Bool val
```
#### Parameters

*   that: [_ExpectContentLength](net-http-_ExpectContentLength) val

#### Returns

* [Bool](builtin-Bool) val

---

### ne
<span class="source-link">[[Source]](src/net-http/_http_parser.md#L12)</span>


```pony
fun box ne(
  that: _ExpectContentLength val)
: Bool val
```
#### Parameters

*   that: [_ExpectContentLength](net-http-_ExpectContentLength) val

#### Returns

* [Bool](builtin-Bool) val

---

